WHILE TRUE
  CLEAR
  CLEARALL
  SHOWMENU
    "View"    : "Browse the Customer table",
    "Paradox" : "Return to interactive Paradox",
    "Exit"    : "Exit application and return to DOS"
    TO KeyVar

  SWITCH
    CASE KeyVar = "View" :
      VIEW "Cust"
      WHILE TRUE
        WAIT TABLE
          PROMPT "Press [Esc] to quit, arrows "+
                 "to browse, [F7] to toggle form view."
          UNTIL "Esc", "DOS", "DosBig", "FormKey"
        SWITCH
          CASE Retval = "Esc" :
            CLEARALL
            QUITLOOP
          CASE Retval = "FormKey" :
            FORMKEY
          OTHERWISE :
            LOOP
        ENDSWITCH	
      ENDWHILE

    CASE KeyVar = "Paradox" :
      n = 1	
      WHILE n < 4	
        CLEAR	
        @5,6??"Please enter your password or press [Esc]."
        @7,6??"Password: "
        STYLE ATTRIBUTE 17
        ACCEPT "A10" TO TestWord
        STYLE				
        IF NOT Retval THEN		
          QUITLOOP		
        ENDIF

        SWITCH												
          CASE LOWER(TestWord) = "sesame"   :
          CASE LOWER(TestWord) = "cabbages" :
          CASE LOWER(TestWord) = "oldguy"   :
          OTHERWISE :
            n = n + 1		
            IF n < 4 THEN
              MESSAGE "Incorrect password. Try again."
              LOOP	
            ENDIF		
        ENDSWITCH
        CLEAR				
        QUIT	
      ENDWHILE

    CASE KeyVar = "Exit" :
      MESSAGE "Are you sure you want to return to DOS?  Y/N"
      Choice = GETCHAR()
      IF LOWER(CHR(Choice)) = "y" THEN
        CLEARALL
        MESSAGE "Bye-Bye"
        SLEEP 1500
        EXIT
      ENDIF
  ENDSWITCH
ENDWHILE